How to allow players to connect from any version on a Minecraft server


Summary
Minecraft has had many versions ever since its original release in 2011. Since then, there have been countless updates to the quality of life and general content of the game; however, some players may only have access to specific versions or simply prefer to play on them. With the ViaVersion plugin and associated add-ons, players can use newer or older servers and connect despite having different clients.

Requirement
ViaVersion is only available for Spigot, Paper, or Bukkit servers.
In addition, it can be installed on Fabric-Cardboard Servers.

Note Due to the nature of connecting to servers with outdated clients, expect bugs or missing content available from newer versions.


How to Allow Players to Connect from Any Version on a Minecraft Server

1. Download the required plugin'(s) according to the chart below.

Plugin Version
Description Minecraft Versions
ViaVersion This core plugin is required by all others listed and allows clients to connect to older servers from newer versions. 1.8 - 1.20.x
ViaBackwards This add-on expands upon compatibility, allowing clients with older client versions to connect to newer servers while still leaving out the oldest versions. 1.9 - 1.20.x
ViaRewind ViaRewind goes even further, allowing players running 1.7 or 1.8 clients to connect to modern servers. 1.7+


2
. Log in to the BisectHosting Premium or Budget panel.

3. Stop the server.


4. Go to the File Manager tab.


5. Open plugins.


6. Upload the jar files by dragging and dropping.


7. Once finished uploading, Start the server.



Was this answer helpful?

2
« Back